"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class AdditionalFindingsExitQuestionnaire(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "additionalFindingsVariantGroupLevelQuestions",
        "eventDate",
        "reporter",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_8 import reports as reports_6_9_0

        return {
            "additionalFindingsVariantGroupLevelQuestions": reports_6_9_0.AdditionalFindingsVariantGroupLevelQuestions,
        }

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_8 import reports as reports_6_9_0

        return {
            "org.gel.models.report.avro.AdditionalFindingsVariantGroupLevelQuestions": reports_6_9_0.AdditionalFindingsVariantGroupLevelQuestions,
            "org.gel.models.report.avro.AdditionalFindingsExitQuestionnaire": reports_6_9_0.AdditionalFindingsExitQuestionnaire,
        }

    __slots__ = [
        "additionalFindingsVariantGroupLevelQuestions",
        "eventDate",
        "reporter",
    ]

    def __init__(
        self,
        additionalFindingsVariantGroupLevelQuestions,
        eventDate,
        reporter,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_6_9_0.AdditionalFindingsExitQuestionnaire model.

        :param additionalFindingsVariantGroupLevelQuestions:
            The list of variant group level variants (ungrouped variants are to be
            set in single variant group)
        :type additionalFindingsVariantGroupLevelQuestions: list[AdditionalFindingsVariantGroupLevelQuestions]
        :param eventDate:
            The date when the questionnaire was submitted
        :type eventDate: str
        :param reporter:
            The person that submitted the questionnaire
        :type reporter: str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "6.9.0"
